Get partner analytics
Header Parameters
SW-PARTNER-ID*string
Partner organization identifier
SW-API-KEY*string
API authentication key
Response Body
application/json
application/json
application/json
curl -X GET "https://connect.safeweb.co/api/integrations/partner/analytics" \ -H "SW-PARTNER-ID: string" \ -H "SW-API-KEY: string"{
"success": true,
"data": {
"totalCustomers": 150,
"activeCustomers": 142,
"newCustomerLast30Days": 10,
"totalMonitoredDomains": 310,
"totalMonitoredEmails": 875,
"totalBreachesDetected": 47
}
}{
"success": false,
"error": "Failed to verify org API key"
}{
"success": false,
"error": "Failed to verify org API key"
}Get breach categories GET
Returns the list of breach categories used to classify types of data exposed in breaches. Requires valid partner authentication via SW-PARTNER-ID and SW-API-KEY headers.
Intro to Webhooks
Receive real-time notifications when breaches are discovered, resolved, or when monitored emails change.